%{?mingw_package_header}

%global mingw_pkg_name libusb1

Summary:        MinGW library which allows userspace access to USB devices
Name:           mingw-%{mingw_pkg_name}
Version:        1.0.9
Release:        0.1.rc1%{?dist}
# This is a git snapshot of what will hopefully soon become 1.0.9, but
# we need this now, to get things in place for:
# http://fedoraproject.org/wiki/Features/UsbNetworkRedirection
# To regenerate do:
# git clone git://git.libusb.org/libusb.git
# cd libusb
# git checkout 1.0.9-rc1
# ./autogen.sh
# make dist
# mv libusb-1.0.8.tar.bz2 libusb-1.0.9-rc1.tar.bz2
Source0:        libusb-1.0.9-rc1.tar.bz2
#Source0:        http://downloads.sourceforge.net/libusb/libusb-%{version}.tar.bz2

Patch1:         0001-Correctly-handle-LIBUSB_TRANSFER_OVERFLOW-in-libusb_.patch
Patch2:         0002-linux-Fix-cancel_transfer-return-value-when-cancelli.patch
Patch3:         0003-Don-t-print-errors-when-cancel_transfer-fails-with-N.patch
Patch4:         0004-linux-Fix-handling-of-urb-status-codes.patch
Patch5:         0005-linux-Translate-linux-iso-pkt-status-codes-to-libusb.patch

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://libusb.wiki.sourceforge.net/Libusb1.0
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  doxygen
BuildArch:      noarch

%description
This package provides a way for applications to access USB devices. Note that
this library is not compatible with the original libusb-0.1 series.

# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:                %{summary}

%description -n mingw32-%{mingw_pkg_name}
This package provides a way for applications to access USB devices. Note that
this library is not compatible with the original libusb-0.1 series.

This package contains the header files and libraries needed to develop
applications that use libusb1.

%package -n mingw32-%{mingw_pkg_name}-static
Summary:                %{summary}

%description -n mingw32-%{mingw_pkg_name}-static
This package provides a way for applications to access USB devices. Note that
this library is not compatible with the original libusb-0.1 series.

This package contains static libraries to develop applications that use libusb1.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:                %{summary}

%description -n mingw64-%{mingw_pkg_name}
This package provides a way for applications to access USB devices. Note that
this library is not compatible with the original libusb-0.1 series.

This package contains the header files and libraries needed to develop
applications that use libusb1.

%package -n mingw64-%{mingw_pkg_name}-static
Summary:                %{summary}

%description -n mingw64-%{mingw_pkg_name}-static
This package provides a way for applications to access USB devices. Note that
this library is not compatible with the original libusb-0.1 series.

This package contains static libraries to develop applications that use libusb1.

%{?mingw_debug_package}

%prep
%setup -q -n libusb-1.0.8
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%mingw_configure
%mingw_make

%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{mingw32_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{mingw64_libdir}/*.la

# Our snapshot reports itself as 1.0.8, change the pkg-config file version to
# 1.0.9 so that configure checks by apps who need the new 1.0.9 succeed
sed -i 's/1\.0\.8/1.0.9/' %{buildroot}/%{mingw32_libdir}/pkgconfig/libusb-1.0.pc
sed -i 's/1\.0\.8/1.0.9/' %{buildroot}/%{mingw64_libdir}/pkgconfig/libusb-1.0.pc

%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog
%{mingw32_bindir}/libusb-1.0.dll
%{mingw32_libdir}/libusb-1.0.dll.a
%dir %{mingw32_includedir}/libusb-1.0
%{mingw32_includedir}/libusb-1.0
%{mingw32_libdir}/pkgconfig/libusb-1.0.pc

%files -n mingw32-%{mingw_pkg_name}-static
%defattr(-,root,root)
%{mingw32_libdir}/libusb-1.0.a

%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog
%{mingw64_bindir}/libusb-1.0.dll
%{mingw64_libdir}/libusb-1.0.dll.a
%dir %{mingw64_includedir}/libusb-1.0
%{mingw64_includedir}/libusb-1.0
%{mingw64_libdir}/pkgconfig/libusb-1.0.pc

%files -n mingw64-%{mingw_pkg_name}-static
%defattr(-,root,root)
%{mingw64_libdir}/libusb-1.0.a


%changelog
* Sun Aug 26 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.9-0.1.rc1
- create from native spec

